package com.bonus.canteen.core.report.mapper;

import com.bonus.canteen.core.report.domain.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TradeReportMapper {
    public List<TradeFlowVO> selectTradeFlow(@Param("param")TradeFlowParam param,
                                             @Param("encryptedSearchValue") String encryptedSearchValue);
    public List<OperatingRevenueVO> selectOperatingRevenue(@Param("param") OperatingRevenueParam param);
    public List<CanteenStallRevenueVO> selectCanteenStallRevenue(@Param("param")CanteenStallRevenueParam param);
    public List<DeviceRevenueVO> selectDeviceRevenue(@Param("param")DeviceRevenueParam param);
    public List<UserRevenueVO> selectUserRevenue(@Param("param")UserRevenueParam param,
                                                 @Param("encryptedSearchValue") String encryptedSearchValue);
    public List<GoodsRevenueVO> selectGoodsRevenue(@Param("param")GoodsRevenueParam param);
}
